Slony-I 2.1.1 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.45. ddlscript_complete_int(p_only_on_node integer, p_set_id integer)

Function Properties

Language: PLPGSQL

Return Type: integer

ddlScript_complete_int(set_id, script, only_on_node) Complete processing the DDL_SCRIPT event. This puts tables back into replicated mode.

    declare
    	v_row				record;
    begin
    	perform updateRelname(p_set_id, p_only_on_node);
    	perform repair_log_triggers(true);
    	return p_set_id;
    end;

Prev | Home | Next
ddlscript_complete(p_only_on_node integer, p_script text, p_set_id integer) | Up | ddlscript_prepare(p_only_on_node integer, p_set_id integer)